

* Hadwiger function to smooth five year ASFRs & estimate single year of age detail .

* White.
* .
MODEL PROGRAM B=4 C=28  a=1.
COMPUTE White_Pr  = (a*b/c)*(c/age)**(3/2)*exp(-b*b*(c/age+age/c-2)).
NLR White
  /PRED White_Pr 
  /SAVE PRED RESID 
  /CRITERIA ITER 10000 .
VARIABLE LABELS   White_Pr 'White Pred_Val Hadwiger' .
* .
*ASFR curves for Hadwiger for ethnic group White.
TSPLOT VARIABLES= White White_Pr 
  /ID= age
  /NOLOG.
* .

* Black.
* .
MODEL PROGRAM B=4 C=28  a=1.
COMPUTE Black_Pr  = (a*b/c)*(c/age)**(3/2)*exp(-b*b*(c/age+age/c-2)).
NLR Black
  /PRED Black_Pr 
  /SAVE PRED RESID 
  /CRITERIA ITER 10000 .
VARIABLE LABELS   Black_Pr 'Black Pred_Val Hadwiger' .
* .
*ASFR curves for Hadwiger for ethnic group Black.
TSPLOT VARIABLES= Black Black_Pr 
  /ID= age
  /NOLOG.
* .

* SthAsian.
* .
MODEL PROGRAM B=4 C=28  a=1.
COMPUTE SthAsian_Pr  = (a*b/c)*(c/age)**(3/2)*exp(-b*b*(c/age+age/c-2)).
NLR SthAsian
  /PRED SthAsian_Pr 
  /SAVE PRED RESID 
  /CRITERIA ITER 10000 .
VARIABLE LABELS   SthAsian_Pr 'SthAsian Pred_Val Hadwiger' .
* .
*ASFR curves for Hadwiger for ethnic group South Asian.
TSPLOT VARIABLES= SthAsian SthAsian_Pr 
  /ID= age
  /NOLOG.
* .

* Chinese & Other (Chin_Otr).
* .
MODEL PROGRAM B=4 C=28  a=1.
COMPUTE Chin_Pr  = (a*b/c)*(c/age)**(3/2)*exp(-b*b*(c/age+age/c-2)).
NLR Chin_Otr
  /PRED Chin_Pr 
  /SAVE PRED RESID 
  /CRITERIA ITER 10000 .
VARIABLE LABELS   Chin_Pr 'Chin_Otr Pred_Val Hadwiger' .
* .
*ASFR curves for Hadwiger for ethnic group Chin_Otr.
TSPLOT VARIABLES= Chin_Otr Chin_Pr 
  /ID= age
  /NOLOG.
* .

* All Groups (All_grps).
* .
MODEL PROGRAM B=4 C=28  a=1.
COMPUTE All_Pr  = (a*b/c)*(c/age)**(3/2)*exp(-b*b*(c/age+age/c-2)).
NLR All_grps
  /PRED All_Pr
  /SAVE PRED RESID 
  /CRITERIA ITER 10000 .
VARIABLE LABELS   All_Pr 'All_grps Pred_Val Hadwiger' .
* .
*ASFR curves for Hadwiger for All_grps.
TSPLOT VARIABLES= All_grps All_Pr 
  /ID= age
  /NOLOG.
* .

* Compare ASFR curves .
TSPLOT VARIABLES= White_Pr Black_Pr SthAsian_Pr Chin_Pr  All_Pr 
  /ID= age
  /NOLOG.
* .


